### Method

# Gtk TextBuffer delete

#### Declaration [src]

    void
    gtk_text_buffer_delete (
      GtkTextBuffer* buffer,
      GtkTextIter* start,
      GtkTextIter* end
    )

#### Description [src]

Deletes text between `start` and `end`.

The order of `start` and `end` is not actually relevant; gtk_text_buffer_delete() will reorder them.

This function actually emits the “delete-range” signal, and the default handler of that signal deletes the text. Because the buffer is modified, all outstanding iterators become invalid after calling this function; however, the `start` and `end` will be re-initialized to point to the location where text was deleted.

#### Parameters

`start` | `GtkTextIter`
| A position in `buffer`.
| The data is owned by the caller of the function.
`end` | `GtkTextIter`
| Another position in `buffer`.
| The data is owned by the caller of the function.